"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DrugBox = void 0;

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DrugBox = (0, _getStyledComponent.default)({
  baseClasses: 'pv2 ph2 br2 ba b--light-gray bg-near-white',
  options: {
    highlight: ['highlighted']
  },
  fn: ({
    highlighted
  }) => highlighted ? 'bg-lightest-blue' : 'bg-near-white'
});
exports.DrugBox = DrugBox;