"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _question = require("./question");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var _default = (_ref) => {
  let {
    bottom,
    fields,
    onSubmit,
    updateValue,
    removeSuggestion,
    otherFieldTypes
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["bottom", "fields", "onSubmit", "updateValue", "removeSuggestion", "otherFieldTypes"]);

  return (0, _preact.h)("form", _extends({
    onSubmit: e => {
      e.preventDefault();
      onSubmit();
    }
  }, rest), fields.map(item => (0, _preact.h)(_question.Question, {
    key: item.name,
    item: item,
    otherFieldTypes: otherFieldTypes,
    updateValue: val => {
      let updateObj = {
        [item.name]: val
      };

      if (item.getUpdates) {
        updateObj = item.getUpdates(val);
      }

      updateValue(updateObj);
    },
    removeSuggestion: removeSuggestion
  })), bottom);
};

exports.default = _default;