"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FullScreenOverlay = exports.FullScreenOverlayWrapper = void 0;

var _preact = require("preact");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _omit = _interopRequireDefault(require("./utils/omit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const FullScreenOverlayWrapper = (0, _getStyledComponent.default)({
  baseClasses: 'fixed top-0 left-0 z-999 w-100 h-100 bg-gray flex items-center dark-blue'
});
exports.FullScreenOverlayWrapper = FullScreenOverlayWrapper;

const FullScreenOverlay = props => (0, _preact.h)(FullScreenOverlayWrapper, (0, _omit.default)(props, ['children']), (0, _preact.h)("div", {
  className: "center ph2 ph4-m"
}, props.children));

exports.FullScreenOverlay = FullScreenOverlay;