"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Textarea = exports.Select = exports.Input = exports.inputClasses = void 0;

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const inputClasses = 'pa2 input-reset bg-white ba b--gray br2';
exports.inputClasses = inputClasses;
const Input = (0, _getStyledComponent.default)({
  baseClasses: inputClasses,
  tagName: 'input'
});
exports.Input = Input;
const Select = (0, _getStyledComponent.default)({
  baseClasses: inputClasses,
  tagName: 'select'
});
exports.Select = Select;
const Textarea = (0, _getStyledComponent.default)({
  baseClasses: inputClasses,
  tagName: 'textarea'
});
exports.Textarea = Textarea;