"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = (ms, includeSeconds = false) => {
  if (!ms) {
    return '';
  }

  const d = new Date(ms);
  const hours = (d.getHours() + '').padStart(2, '0');
  const minutes = (d.getMinutes() + '').padStart(2, '0');
  const seconds = (d.getSeconds() + '').padStart(2, '0');
  return "".concat(hours, ":").concat(minutes) + (includeSeconds ? ":".concat(seconds) : '');
};

exports.default = _default;