"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.colors = void 0;
const colors = {
  black: '#000',
  'near-black': '#111',
  'dark-gray': '#333',
  'mid-gray': '#5b7385',
  gray: '#a1afba',
  silver: '#999',
  'light-silver': '#aaa',
  'moon-gray': '#ccc',
  'light-gray': '#d0d7dc',
  'near-white': '#dbe1e5',
  white: '#fff',
  'black-90': 'rgba(0, 0, 0, 0.9)',
  'black-80': 'rgba(0, 0, 0, 0.8)',
  'black-70': 'rgba(0, 0, 0, 0.7)',
  'black-60': 'rgba(0, 0, 0, 0.6)',
  'black-50': 'rgba(0, 0, 0, 0.5)',
  'black-40': 'rgba(0, 0, 0, 0.4)',
  'black-30': 'rgba(0, 0, 0, 0.3)',
  'black-20': 'rgba(0, 0, 0, 0.2)',
  'black-10': 'rgba(0, 0, 0, 0.1)',
  'black-05': 'rgba(0, 0, 0, 0.05)',
  'black-025': 'rgba(0, 0, 0, 0.025)',
  'black-0125': 'rgba(0, 0, 0, 0.0125)',
  'white-90': 'rgba(255, 255, 255, 0.9)',
  'white-80': 'rgba(255, 255, 255, 0.8)',
  'white-70': 'rgba(255, 255, 255, 0.7)',
  'white-60': 'rgba(255, 255, 255, 0.6)',
  'white-50': 'rgba(255, 255, 255, 0.5)',
  'white-40': 'rgba(255, 255, 255, 0.4)',
  'white-30': 'rgba(255, 255, 255, 0.3)',
  'white-20': 'rgba(255, 255, 255, 0.2)',
  'white-10': 'rgba(255, 255, 255, 0.1)',
  'white-05': 'rgba(255, 255, 255, 0.05)',
  'white-025': 'rgba(255, 255, 255, 0.025)',
  'white-0125': 'rgba(255, 255, 255, 0.0125)',
  'dark-red': '#e7040f',
  red: '#ff0000',
  'light-red': '#ff725c',
  orange: '#ff6300',
  gold: '#ffb700',
  yellow: '#ffd700',
  'light-yellow': '#fbf1a9',
  purple: '#5e2ca5',
  'light-purple': '#a463f2',
  'dark-pink': '#d5008f',
  'hot-pink': '#ff41b4',
  pink: '#ff80cc',
  'light-pink': '#ffa3d7',
  'dark-green': '#19a974',
  green: '#0fdd83',
  'light-green': '#9eebcf',
  navy: '#357edd',
  'dark-blue': '#133651',
  blue: '#1f566f',
  'light-blue': '#53d6e4',
  'lightest-blue': '#bcebf1',
  'washed-blue': '#f6fffe',
  'washed-green': '#e8fdf5',
  'washed-yellow': '#fffceb',
  'washed-red': '#ffdfdf'
};
exports.colors = colors;