"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SupportLink = exports.Link = void 0;

var _preact = require("preact");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const supportEmail = 'support@anesthesiacharting.com';
const Link = (0, _getStyledComponent.default)({
  baseClasses: 'link dark-blue underline hover-light-blue',
  tagName: 'a'
});
exports.Link = Link;

const SupportLink = props => (0, _preact.h)(Link, _extends({
  href: "mailto:".concat(supportEmail)
}, props), supportEmail);

exports.SupportLink = SupportLink;