"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.transitionIn = void 0;

var _preact = require("preact");

/** @jsx h */
const transitionIn = Wrapped => {
  class TransitionIn extends _preact.Component {
    constructor(props) {
      super(props);
      this.state = {
        firstRender: true
      };
    }

    componentDidMount() {
      setTimeout(() => {
        this.setState({
          firstRender: false
        });
      }, 0);
    }

    render() {
      return (0, _preact.h)(Wrapped, Object.assign({
        firstRender: this.state.firstRender
      }, this.props));
    }

  }

  return TransitionIn;
};

exports.transitionIn = transitionIn;