"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IS_CHROME = exports.IS_IOS = void 0;

if (typeof window === 'undefined') {
  // eslint-disable-next-line
  global.window = global;
}

const navigator = window && window.navigator || {};
const ua = navigator && navigator.ua || '';
const IS_IOS = /iPad|iPhone|iPod/.test(ua);
exports.IS_IOS = IS_IOS;
const IS_CHROME = /Chrome/.test(ua) && /Google Inc/.test(navigator.vendor);
exports.IS_CHROME = IS_CHROME;